JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Attributes | List of all members
PushNotifications::Settings::Category Struct Reference
juce_gui_extra » misc

Describes a category of a notification. More...

`#include <juce_PushNotifications.h>`

## Public Attributes
juce::String | identifier
| unique identifier
juce::Array< Action > | actions
| optional list of actions within this category
bool | sendDismissAction = false
| whether dismiss action will be sent to the app (from iOS 10 only)

## Detailed Description

Describes a category of a notification.

Each category has a unique identifier and a list of associated actions. Note that the OS may allow only a limited number of actions to be presented, so always present most important actions first.

## Member Data Documentation

## ◆ identifier

juce::String PushNotifications::Settings::Category::identifier

unique identifier

## ◆ actions

juce::Array<Action> PushNotifications::Settings::Category::actions

optional list of actions within this category

## ◆ sendDismissAction

bool PushNotifications::Settings::Category::sendDismissAction = false

whether dismiss action will be sent to the app (from iOS 10 only)

The documentation for this struct was generated from the following file:

- juce_PushNotifications.h